#ifndef GST_CU_TILING_PARAMETERS_HPP_
#define GST_CU_TILING_PARAMETERS_HPP_

#include "buildspec.h"

#include <string>

namespace GST
{
namespace ClientUtils
{
class GST_API_EXPORT TilingParameters
{
public:
	TilingParameters(double x, double y, double width, double height);
	double x() const;
	double y() const;
	double width() const;
	double height() const;
	void setX(double x);
	void setY(double y);
	void setWidth(double width);
	void setHeight(double height);

private:
	double m_x;
	double m_y;
	double m_width;
	double m_height;
};
} // namespace ClientUtils
} // namespace GST

#endif // GST_CU_TILING_PARAMETERS_HPP_
